Upgrading from Joomla versions 1.5 through 1.5.26 to 2.5.6

To upgrade from Joomla! version 1.5 through 1.5.26 to 2.5.20, use the table below to determine which instructions to use based on your current version.

Note that Joomla 1.5.x is not supported anymore and contains security vulnerabilities. By not upgrading, your site can be hacked or compromised. More details: Joomla CVE and Joomla Attacks in the Wild

Current Joomla! version Upgrade version Upgrade instructions
1.5.25 and 1.5.26 2.5.6
  1. Be sure that FastCGI is turned OFF.
    • Go to (Panel > 'Domains' > 'Manage Domains') in the panel.
    • Click the Edit button under Web Hosting next to the domain.
    • Locate "PHP mode" under web options check to see which version of PHP you're running.
    • If your PHP version is set to "FastCGI" then switch from PHP FastCGI to PHP CGI. For best results, stay within the same PHP 5.x.x version number. View the Changing the PHP version of your site article for further details.
    • You use jUpgrade as the Joomla extension when migrating from a previous installation of Joomla! to the 2.5 version.
    • Details about the extension are found here.
  2. Create backups of the both the domain files as well as the database.
  3. Download the extension here.
  4. Install the extension.
    a. In the Joomla admin page, click Extensions -> Install/Uninstall.
    b. In the Upload Package File section, click Browse to locate the .zip file on your computer.
    c. Click Upload File & Install.
    d. To activate, click Extensions -> Plugin Manager and then click the red dot under Status until it becomes green.
    Note: The plugin is listed under the name "redmigrator".
  5. To migrate to 2.5, click Components -> jUpgrade.
  6. Once activated, click the Start Upgrade button:
    Jupdate.png
    The progress meter appears showing the following:
    Jupload updating.png
    Once the upgrade has completed, you see the following message:
    JUpgrade complete.png
  7. Proceed to the final step (see Upgrading from versions 2.5.x and higher to Joomla! 2.5.17 using the DreamHost web panel) to complete the upgrade.

Notes on upgrading to Joomla version 2.5

  • You may receive the following error when performing the migration: "Error: zip file was not found." It's a known bug with the jUpgrade plugin – to fix, try running the migration again as it may take several attempts to successfully perform the migration.
  • The original installation remains in the same directory—the migration to Joomla! 2.5 is in a new sub folder.
  • The upgraded site is in the jupgrade/ folder with the default theme for Joomla! 2.5.
  • The administrator panel is in the jupgrade/administrator/ folder.
  • You must move the files from the sub folder over to the root of your domain. Failing to do so will result in not being able to use the 'One-Click Installer to upgrade'.
  • You can find a YouTube video about this here.
2.5.6 2.5.28

You can upgrade from 2.5.6 to 2.5.28 (stable version) using the DreamHost web panel.

  1. Navigate to the (Panel > 'Goodies' > 'One-Click Installs').
  2. Click Manage Installed Applications.
  3. Click the green icons next to the Upgrades Needed message, and then click the action button for each install of Joomla 2.5.6.

See also

Did this article answer your questions?

Article last updated .